Subject: Re: terminal-mode cygwin/emacs problem, was: cygwin emacs HOWTO?
From: Joe Buehler <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 15 Oct 2002 16:35:29 -0400

Tom Roche wrote:

>  > Make sure terminfo is installed -- there should be a file
>  > /usr/lib/terminfo/c/cygwin.
> 
> There is not: there is not even /usr/lib. But when I run setup,
> it says "Keep" and version == 5.2-3.

I think you looked with a Windows tool -- you need to look
using Cygwin, since it is a Cygwin mount point.  Open
up a bash window and cd there and see if you see the "cygwin" file.

> I'm assuming you mean in the Windows environment? If so:
> I went to Control Panel>System>Advanced>Environment, made a
> new system variable CYGWIN, gave it the value "tty" (minus
> the quotes), and even rebooted: no change.

You will want to add "ntsec" if you are using NTFS,
and maybe "binmode" also.  Do a google search for these words and
CYGWIN to see what they do.

>  > Path:    d:\bin
>  >     d:\bin\cygwin\1.3.13-1\bin

This is probably not good -- you have stuff in d:\bin shadowing
Cygwin stuff.

Joe Buehler

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/